%define upstream_name    Tapper-TestSuite-AutoTest
%define upstream_version 4.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Complete OS testing in a box via autotest for Tapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Cwd)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distribution provides a complete OS testing in a box via autotest for
Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%{_bindir}/tapper-testsuite-autotest
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.1.2-2.mga4
+ Revision: 528491
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 4.1.2-1.mga4
+ Revision: 445715
- New version 4.1.2

* Sun Jan 13 2013 umeabot <umeabot> 4.1.0-3.mga3
+ Revision: 373104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310330
- Fix desc

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310214
- imported package perl-Tapper-TestSuite-AutoTest


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
